import 'package:ambito/src/extensions/extensions.dart';
import 'package:flutter/material.dart';

import '../../packages/ambito_theme/ambito_theme.dart';
import 'outline_button.dart';

class SaveButton extends StatelessWidget {
  final VoidCallback onPressed;

  const SaveButton({super.key, required this.onPressed});

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);
    return WidgetOutlineButton(
      onPressed: onPressed,
      title: context.translate('page.general.buttons.save'),
      backgroundColor: theme.currentColorScheme.secondary,
      foregroundColor: theme.currentColorScheme.onPrimary,
      borderColor: theme.currentColorScheme.secondary,
    );
  }
}
